Issue421

Title Conflit UUID : 2 machines différentes ont le même UUID
Priority bug Status resolved
Superseder Nosy List challans, dcardon, htouvet, jcourreges, ykarmouta
Assigned To htouvet Keywords wapt-get core

Created on 2015-02-26.10:40:38 by htouvet, last changed by dcardon.

Messages
msg871 (view) Author: htouvet Date: 2015-02-26.10:40:38
-------- Message transféré --------
Sujet : 	Debug wapt conflit console
Date : 	Tue, 24 Feb 2015 17:32:19 +0100
De : 	informatique <informatique at challans.fr>
Pour : 	


Hubert, Yvan,
comme convenu, voici les resultats de la commande "wapt-get register -l debug" sur les deux postes qui s'enregistre l'un par dessus l'autre dans notre serveur wapt malgré l'installation 
manuelle et indépendante de l'agent :
On remarque que l'uuid wapt attribué est le même (uuid': u'03000200-0400-0500-0006-000700080009), mais pourquoi ?
J'ai fais une reinstallation complète de l'agent sur un des 2 postes mais cela n'a rien changé.
Poste CHALCM-CMI12 :
h:\>wapt-get register -l debug
Current loglevel : DEBUG
2015-02-24 17:20:38,062 DEBUG Default encoding : ascii
2015-02-24 17:20:38,062 DEBUG Setting encoding for stdout and stderr to cp850
2015-02-24 17:20:38,062 DEBUG Python path ['C:\\wapt', 'C:\\wapt\\python27.zip',
'C:\\wapt\\DLLs', 'C:\\wapt\\lib', 'C:\\wapt\\lib\\plat-win', 'C:\\wapt\\lib\\l
ib-tk', 'C:\\wapt', 'C:\\wapt\\lib\\site-packages', 'C:\\wapt\\lib\\site-package
s\\win32', 'C:\\wapt\\lib\\site-packages\\win32\\lib', 'C:\\wapt\\lib\\site-pack
ages\\netifaces', 'C:\\wapt\\lib\\site-packages\\py_bcrypt-0.4-py2.7-win32.egg']
2015-02-24 17:20:38,062 DEBUG Config file: C:\wapt\wapt-get.ini
2015-02-24 17:20:38,078 INFO User Groups:[]
2015-02-24 17:20:38,078 DEBUG WAPT base directory : C:\wapt
2015-02-24 17:20:38,078 DEBUG Package cache dir : C:\wapt\cache
2015-02-24 17:20:38,078 DEBUG WAPT DB Structure version;: 20140410
2015-02-24 17:20:38,500 INFO Run "('dmidecode -q',)"
2015-02-24 17:20:38,703 INFO ('dmidecode -q',) command returns code 0
2015-02-24 17:20:38,765 INFO Unknown UUID or hostname has changed: reading host
UUID from wmi informations
2015-02-24 17:20:38,765 INFO Run "('echo "" | wmic PATH Win32_ComputerSystemProd
uct GET UUID,IdentifyingNumber,Name,Vendor /VALUE',)"
2015-02-24 17:20:40,171 INFO ('echo "" | wmic PATH Win32_ComputerSystemProduct G
ET UUID,IdentifyingNumber,Name,Vendor /VALUE',) command returns code 0
2015-02-24 17:20:40,421 INFO Starting new HTTP connection (1): wapt.challans.fr
2015-02-24 17:20:40,717 DEBUG "POST /add_host HTTP/1.1" 200 1287
2015-02-24 17:20:40,717 DEBUG Registering host info against server: {u'host': {u
'dns_domain': u'cm.ecoles', u'registered_organization': u'----------------------
----------------', u'connected_ips': u'192.168.62.138', u'networking': [{u'iface
': u'{5FE41156-E970-4EB4-8F02-810CDBA5C69D}', u'addr': u'192.168.62.138', u'netm
ask': u'255.255.255.0', u'broadcast': u'192.168.62.255', u'mac': u'88:88:88:88:8
7:88', u'connected': True}], u'domain_name': u'CM.ECOLES', u'windows_product_inf
os': {u'product_id': u'76413-641-3498182-23587', u'product_source': u'Installed
from Full Packaged Product media.', u'product_partnr': u'A22-00001', u'product_k
ey': u'xxxx', u'key_match': True, u'version': u'Microso
ft Windows XP'}, u'computer_fqdn': u'chalcm-cmi12.cm.ecoles', u'current_user': [
u'winadmin'], u'domain_controller': u'\\\\CHALSR-KWCM', u'windows_version': u'Wi
ndows-XP-5.1.2600-SP3', u'description': u'1207', u'win64': False, u'cpu_name': u
'Intel(R) Pentium(R) Dual  CPU  E2160 @ 1.80GHz', u'mac': [u'88:88:88:88:87:88'
], u'system_manufacturer': u'', u'computer_name': u'CHALCM-CMI12', u'registered_
owner': u'MAIRIE DE CHALLANS', u'virtual_memory': 2147352576, u'workgroup_name':
u'CM.ECOLES', u'domain_controller_address': u'\\\\CHALSR-KWCM', u'system_produc
tname': u'', u'installation_date': u'2011-07-12T11:26:36', u'physical_memory': 1
063325696}, u'uuid': u'03000200-0400-0500-0006-000700080009'}
Host correctly registered against server http://wapt.challans.fr:8080.

CHALCM-CMI13 :
h:\>wapt-get register -l debug
Current loglevel : DEBUG
2015-02-24 17:21:29,500 DEBUG Default encoding : ascii
2015-02-24 17:21:29,500 DEBUG Setting encoding for stdout and stderr to cp850
2015-02-24 17:21:29,500 DEBUG Python path ['C:\\wapt', 'C:\\wapt\\python27.zip',
'C:\\wapt\\DLLs', 'C:\\wapt\\lib', 'C:\\wapt\\lib\\plat-win', 'C:\\wapt\\lib\\l
ib-tk', 'C:\\wapt', 'C:\\wapt\\lib\\site-packages', 'C:\\wapt\\lib\\site-package
s\\win32', 'C:\\wapt\\lib\\site-packages\\win32\\lib', 'C:\\wapt\\lib\\site-pack
ages\\netifaces', 'C:\\wapt\\lib\\site-packages\\py_bcrypt-0.4-py2.7-win32.egg']
2015-02-24 17:21:29,500 DEBUG Config file: C:\wapt\wapt-get.ini
2015-02-24 17:21:29,515 INFO User Groups:[]
2015-02-24 17:21:29,515 DEBUG WAPT base directory : C:\wapt
2015-02-24 17:21:29,515 DEBUG Package cache dir : C:\wapt\cache
2015-02-24 17:21:29,515 DEBUG WAPT DB Structure version;: 20140410
2015-02-24 17:21:29,905 INFO Run "('dmidecode -q',)"
2015-02-24 17:21:30,140 INFO ('dmidecode -q',) command returns code 0
2015-02-24 17:21:30,217 INFO Unknown UUID or hostname has changed: reading host
UUID from wmi informations
2015-02-24 17:21:30,217 INFO Run "('echo "" | wmic PATH Win32_ComputerSystemProd
uct GET UUID,IdentifyingNumber,Name,Vendor /VALUE',)"
2015-02-24 17:21:31,515 INFO ('echo "" | wmic PATH Win32_ComputerSystemProduct G
ET UUID,IdentifyingNumber,Name,Vendor /VALUE',) command returns code 0
2015-02-24 17:21:31,780 INFO Starting new HTTP connection (1): wapt.challans.fr
2015-02-24 17:21:32,062 DEBUG "POST /add_host HTTP/1.1" 200 1283
2015-02-24 17:21:32,062 DEBUG Registering host info against server: {u'host': {u
'dns_domain': u'cm.ecoles', u'registered_organization': u'----------------------
----------------', u'connected_ips': u'192.168.62.139', u'networking': [{u'iface
': u'{5FE41156-E970-4EB4-8F02-810CDBA5C69D}', u'addr': u'192.168.62.139', u'netm
ask': u'255.255.255.0', u'broadcast': u'192.168.62.255', u'mac': u'00:1d:92:a5:1
7:a8', u'connected': True}], u'domain_name': u'CM.ECOLES', u'windows_product_inf
os': {u'product_id': u'76413-641-3498182-23587', u'product_source': u'Installed
from Full Packaged Product media.', u'product_partnr': u'A22-00001', u'product_k
ey': u'xxxx', u'key_match': True, u'version': u'Microso
ft Windows XP'}, u'computer_fqdn': u'chalcm-cmi13.cm.ecoles', u'current_user': [
u'winadmin'], u'domain_controller': u'\\\\CHALSR-KWCM', u'windows_version': u'Wi
ndows-XP-5.1.2600-SP3', u'description': u'', u'win64': False, u'cpu_name': u'Int
el(R) Pentium(R) Dual  CPU  E2160 @ 1.80GHz', u'mac': [u'00:1d:92:a5:17:a8'], u
'system_manufacturer': u'', u'computer_name': u'CHALCM-CMI13', u'registered_owne
r': u'MAIRIE DE CHALLANS', u'virtual_memory': 2147352576, u'workgroup_name': u'C
M.ECOLES', u'domain_controller_address': u'\\\\CHALSR-KWCM', u'system_productnam
e': u'', u'installation_date': u'2011-07-12T11:26:36', u'physical_memory': 10465
48480}, u'uuid': u'03000200-0400-0500-0006-000700080009'}
Host correctly registered against server http://wapt.challans.fr:8080.
Nous avons 2 autres paires de postes dans le même cas.
Dans l'attente de votre diagnostic.
Merci.
Cdlt.
Sébastien.
msg901 (view) Author: dcardon Date: 2015-04-14.14:58:22
corrigé dans wapt 1.2, possibilité de fixer un guid pour les bios qui n'en renvoie pas un correctement (soit guid vide soit guid non unique)
msg903 (view) Author: dcardon Date: 2015-04-14.15:59:51
c:\Program Files\Support Tools>wapt-get generate-uuid
New UUID: 75d14fb9-468b-4674-ae7e-b6e1139c1f2f

c:\Program Files\Support Tools>type c:\wapt\wapt-get.ini
[global]
waptupdate_task_period=120
wapt_server=
repo_url=
use_hostpackages=1
private_key=C:\private\tiskey.pem
uuid = 75d14fb9-468b-4674-ae7e-b6e1139c1f2f

c:\Program Files\Support Tools>wapt-get reset-uuid
New UUID: 75d14fb9-468b-4674-ae7e-b6e1139c1f2f

c:\Program Files\Support Tools>type c:\wapt\wapt-get.ini
[global]
waptupdate_task_period=120
wapt_server=
repo_url=
use_hostpackages=1
private_key=C:\private\tiskey.pem

c:\Program Files\Support Tools>wapt-get --version
Wrapper Win32.exe : wapt-get 1.2.2.0
wapt-get.py 1.2.2 common.py 1.2.2 setuphelpers.py 1.2.2
msg908 (view) Author: dcardon Date: 2015-04-22.15:43:09
corrigé en 1.2.2
History
Date User Action Args
2015-04-22 15:43:13dcardonsetstatus: chatting -> resolved
2015-04-22 15:43:09dcardonsetmessages: + msg908
2015-04-14 15:59:52dcardonsetstatus: resolved -> chatting
messages: + msg903
2015-04-14 14:58:22dcardonsetstatus: acknowledged -> resolved
messages: + msg901
2015-02-26 10:50:46htouvetsetkeyword: + wapt-get core
2015-02-26 10:40:38htouvetcreate